package com.daya.live_teaching.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 下载伴奏
 */
public class DownLoadSongStatus implements Parcelable {

    private String musicScoreAccompanimentId;
    private int downStatus;
    private int playStatus;
    private int accompanimentPlayStatus;
    private int speed;
    private String url;
    private String mp3Url;
    private String musicScoreName;

    public DownLoadSongStatus() {
    }

    public DownLoadSongStatus(String musicScoreAccompanimentId, int downStatus, int playStatus, int accompanimentPlayStatus, int speed, String url, String mp3Url, String musicScoreName) {
        this.musicScoreAccompanimentId = musicScoreAccompanimentId;
        this.downStatus = downStatus;
        this.playStatus = playStatus;
        this.accompanimentPlayStatus = accompanimentPlayStatus;
        this.speed = speed;
        this.url = url;
        this.mp3Url = mp3Url;
        this.musicScoreName = musicScoreName;
    }

    protected DownLoadSongStatus(Parcel in) {
        musicScoreAccompanimentId = in.readString();
        downStatus = in.readInt();
        playStatus = in.readInt();
        accompanimentPlayStatus = in.readInt();
        speed = in.readInt();
        url = in.readString();
        mp3Url = in.readString();
        musicScoreName = in.readString();
    }

    public int getDownStatus() {
        return downStatus;
    }

    public void setDownStatus(int downStatus) {
        this.downStatus = downStatus;
    }

    public int getPlayStatus() {
        return playStatus;
    }

    public void setPlayStatus(int playStatus) {
        this.playStatus = playStatus;
    }

    public int getAccompanimentPlayStatus() {
        return accompanimentPlayStatus;
    }

    public void setAccompanimentPlayStatus(int accompanimentPlayStatus) {
        this.accompanimentPlayStatus = accompanimentPlayStatus;
    }

    public int getSpeed() {
        return speed;
    }

    public void setSpeed(int speed) {
        this.speed = speed;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMp3Url() {
        return mp3Url;
    }

    public void setMp3Url(String mp3Url) {
        this.mp3Url = mp3Url;
    }

    public String getMusicScoreName() {
        return musicScoreName;
    }

    public void setMusicScoreName(String musicScoreName) {
        this.musicScoreName = musicScoreName;
    }


    public static final Creator<DownLoadSongStatus> CREATOR = new Creator<DownLoadSongStatus>() {
        @Override
        public DownLoadSongStatus createFromParcel(Parcel in) {
            return new DownLoadSongStatus(in);
        }

        @Override
        public DownLoadSongStatus[] newArray(int size) {
            return new DownLoadSongStatus[size];
        }
    };


    public String getMusicScoreAccompanimentId() {
        return musicScoreAccompanimentId;
    }

    public void setMusicScoreAccompanimentId(String musicScoreAccompanimentId) {
        this.musicScoreAccompanimentId = musicScoreAccompanimentId;
    }

    @Override
    public int describeContents() {
        return 0;
    }

        @Override
        public void writeToParcel(Parcel dest, int flags) {

            dest.writeString(musicScoreAccompanimentId);
            dest.writeInt(downStatus);
            dest.writeInt(playStatus);
            dest.writeInt(accompanimentPlayStatus);
            dest.writeInt(speed);
            dest.writeString(url);
            dest.writeString(mp3Url);
            dest.writeString(musicScoreName);

        }


}
